Skip to main content
POST
/
twitter
/
dm
/
{user_id}
Send Direct Message
curl --request POST \
  --url https://api.apitwitter.com/twitter/dm/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "text": "<string>",
  "cookie": "<string>",
  "proxy": "<string>"
}
'
{
  "status": "success",
  "message_id": "e1814743-4cdc-4151-916d-17cf2fa7771a",
  "conversation_id": "1693583885060202496-1818311005698678784",
  "delivered": true,
  "msg": "DM sent"
}

Authorizations

X-API-Key
string
header
required

Your API key

Path Parameters

user_id
string
required

Numeric Twitter user ID of the recipient

Body

application/json
text
string
required

Message text to send

Twitter auth cookie

proxy
string
required

Proxy URL to use for the request (HTTP or SOCKS5)

Response

Message sent

status
string

Response status

Example:

"success"

msg
string

Response message

data
any

Response data